春哥博客 技术文章 解决最新版discuz安装模板插件提示【对不起,您安装的不是正版应用】

解决最新版discuz安装模板插件提示【对不起,您安装的不是正版应用】

文章顶部广告位

模板修改方法:

第一步:

最新版的Discuz3.4 在安装模板或者插件的时候提示“对不起,您安装的不是正版应用”,需要修改以下几个地方:

1、source\function\function_cloudaddons.php  120行,去掉以下代码或者注释

cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));

2、source\admincp\admincp_styles.php  283行,去掉以下代码或者注释

cpmsg('clo'.'uda'.'ddon'.'s_gen'.'uine_'.'mes'.'sage', '', 'error', array('addonid' => $addonid));

3、source\admincp\admincp_plugins.php  419行,去掉以下代码

cpmsg('c'.'lou'.'dad'.'dons'.'_genu'.'ine_m'.'essa'.'ge', '', 'error', array('addonid' => $addonid));

第二步:

然后复制破解版安装包到模板/template/模板文件目录并修改文件名称(把名称修改成模板文件夹名称)然后打开

第三步:

修改成模板文件夹对应的名称即可

插件修改方法:

discuz 论坛在更新到2.0以上后,增加了对插件的版本检测,在安装时,可能会出现:“对不起,您安装的不是正版应用,安装程序无法继续执行”的提示,要解决这个其实挺容易的,打开FTP找到/source/function/function_cloudaddons.php 这个文件:

第1步:

在该文件中找到如下图部分代码,按照下方方法将中间红色部份代码注释掉或者直接删除该行(使用notepad++修改,不要用记事本!,改为像以下这样:

<blockquote>function cloudaddons_validator($addonid) {

仅需要修改上述代码的红色部分,其他位置不需要任何修改!不要复制上面的代码替换,直接在你的网站对应文件进行修改!
) O0 A9 P4 x+ i. c, Y+ E* T
第2步:

在该文件搜索“addon.dismall.com”,全部替换为“127.0.0.1”,一共有三处!这一步主要针对discuzX3.4 2020年之后的版本,之前的版本一般只需要第一步即可!

 

 

文章底部广告位
本文来自网络,不代表春哥博客立场,转载请注明出处:https://blog.qlzhan.com/1109.html

作者: admin

上一篇
下一篇
返回顶部